Subject: Re: [PATCH 0/3] net: RCU lookups for UDP, DCCP and TCP protocol

From: Andi Kleen <[email-masked]>
Date: Thu, 13 Nov 2008 18:20:09 +0100

Eric Dumazet <[email-masked]> writes:

> 1) Introduce hlist_nulls variant of hlist
>
>   hlist uses NULL value to finish a chain.
>   hlist_nulls variant use the low order bit set to 1 to signal an end marker.
>   This allows to store many different end markers, so that some RCU lockless
>   algos (used in TCP/UDP stack for example) can save some memory barriers in
>   fast paths.

Do you have any numbers that demonstrate the read memory barriers being
a performance problem? At least on x86 they should be very cheap
because they're normally nops.

-Andi

-- 
[email-masked]